<template lang="pug">
  .flex.w-full(class="gap-x-1.5")
    base-select(:items="items", v-model="network.kind")  
    base-input.w-full(v-model="network.username", placeholder="Ссылкa", outlined)
</template>

<script>
import BaseInput from "@/components/base/BaseInput";
import BaseSelect from "@/components/base/BaseSelect.vue";
export default {
  name: "TableAddingNetwork",
  components: { BaseInput, BaseSelect },
  props: {
    items: {
      type: Array,
      default: () => [],
    },
    network: {
      type: Object,
      default: () => {},
    },
  },
  computed: {
    networkInternal: {
      get() {
        return this.network;
      },
      set(val) {
        this.$emit("update:network", val);
      },
    },
  },
};
</script>
